summaryrefslogtreecommitdiffstats
path: root/security/nss/tests/fips/cavs_scripts/kbkdf.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 00:47:55 +0000
commit26a029d407be480d791972afb5975cf62c9360a6 (patch)
treef435a8308119effd964b339f76abb83a57c29483 /security/nss/tests/fips/cavs_scripts/kbkdf.sh
parentInitial commit. (diff)
downloadfirefox-26a029d407be480d791972afb5975cf62c9360a6.tar.xz
firefox-26a029d407be480d791972afb5975cf62c9360a6.zip
Adding upstream version 124.0.1.upstream/124.0.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'security/nss/tests/fips/cavs_scripts/kbkdf.sh')
-rw-r--r--security/nss/tests/fips/cavs_scripts/kbkdf.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/security/nss/tests/fips/cavs_scripts/kbkdf.sh b/security/nss/tests/fips/cavs_scripts/kbkdf.sh
new file mode 100644
index 0000000000..72b81ddaf8
--- /dev/null
+++ b/security/nss/tests/fips/cavs_scripts/kbkdf.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+# A Bourne shell script for running the NIST SHA Algorithm Validation Suite
+#
+# Before you run the script, set your PATH, LD_LIBRARY_PATH, ... environment
+# variables appropriately so that the fipstest command and the NSPR and NSS
+# shared libraries/DLLs are on the search path. Then run this script in the
+# directory where the REQUEST (.req) files reside. The script generates the
+# RESPONSE (.rsp) files in the same directory.
+BASEDIR=${1-.}
+TESTDIR=${BASEDIR}/KBKDF
+COMMAND=${2-run}
+REQDIR=${TESTDIR}/req
+RSPDIR=${TESTDIR}/resp
+
+all_requests="
+KBKDFCounter.req
+"
+
+if [ ${COMMAND} = "verify" ]; then
+ result=0
+ for request in $all_requests; do
+ sh ./validate1.sh ${TESTDIR} $request
+ last_result=$?
+ result=`expr $result + $last_result`
+ done
+ exit $result
+fi
+
+test -d "${RSPDIR}" || mkdir "${RSPDIR}"
+
+for request in $all_requests; do
+ response=`echo $request | sed -e "s/req/rsp/"`
+ echo $request $response
+ fipstest kbkdf ${REQDIR}/$request > ${RSPDIR}/$response
+done
+exit 0